#include "SHT30.h"
#include "Arduino.h"
 

float DFRobot_SHT30::getTemperature1(uint32_t pin1){
    float val1;
#if   defined(NRF5)
//主控板选择microbit时编译器编译的代码
     val1=-66.875+72.917*((float)analogRead(pin1) / 1024 *3.3);
#else
//主控板为其他板时编译器编译的代码
     val1=-66.875+72.917*((float)analogRead(pin1) / 1024 *5.0);
#endif  
return val1;
 }


 float DFRobot_SHT30::getTemperature2(uint32_t pin2){
    float val2;
#if   defined(NRF5)
//主控板选择microbit时编译器编译的代码
   val2=-88.375 + 131.25 *((float)analogRead(pin2) / 1024 *3.3);
#else
//主控板为其他板时编译器编译的代码
    val2=-88.375 + 131.25 *((float)analogRead(pin2) / 1024 *5.0);
#endif 
return val2;
 }

 float DFRobot_SHT30::getHumidit(uint32_t pin3){
    float val3;
#if   defined(NRF5)
//主控板选择microbit时编译器编译的代码
   val3= -12.5 + 41.66*((float)analogRead(pin3) / 1024 *3.3);
#else
//主控板为其他板时编译器编译的代码
    val3= -12.5 + 41.66*((float)analogRead(pin3) / 1024 *5.0);
#endif 
return val3;
 }