
//% color="#00BFFF" iconWidth=50 iconHeight=40
 namespace SHT30{
     //% block="SHT30 read pin[PIN] SHT30 Temperature[TEMP]" blockType="reporter"
     //% PIN.shadow="dropdownRound"   PIN.options="PIN"
     //% TEMP.shadow="dropdownRound"   TEMP.options="TEMP"
     export function SHT30initT(parameter: any, block: any) {
      let pin=parameter.PIN.code;
      let temp=parameter.TEMP.code;
      Generator.addInclude("SHT30initTInclude", `#include "SHT30.h"`,true);
      Generator.addObject("SHT30initTObject","DFRobot_SHT30","SHT");

      if(`${temp}`=="Temperature1"){
            Generator.addCode([`SHT.getTemperature1(${pin})`, Generator.ORDER_UNARY_POSTFIX]);
   }
      else{
            Generator.addCode([`SHT.getTemperature2(${pin})`,Generator.ORDER_UNARY_POSTFIX]);
   }
     }

      //% block="SHT30 read pin[HUMIT] SHT30 Humitdity" blockType="reporter"
     //% HUMIT.shadow="dropdownRound"   HUMIT.options="HUMIT"
     export function SHT30initH(parameter: any, block: any) {
      let humit=parameter.HUMIT.code;
      Generator.addInclude("SHT30initTInclude", `#include "SHT30.h"`,true);
      Generator.addObject("SHT30initTObject","DFRobot_SHT30","SHT")
      Generator.addCode([`SHT.getHumidit(${humit})`, Generator.ORDER_UNARY_POSTFIX]);

     } 
 }